Bug 532856 - should not list already added input-methods in Add selector
should not list already added input-methods in Add selector
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 21:47 EST by Jens Petersen
Modified: 2010-01-11 01:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 01:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-11-03 21:47:12 EST
Description of problem:
ibus-setup's IME selection list shows all IMEs
(both added and not added).  It should only
list IMEs that are not yet installed.

How reproducible:
every time

Steps to Reproduce:
1. start ibus-setup
2. go to Input Methods page
3. Button1 on IME selector to add
  
Actual results:
3. all IMEs are listed

Expected results:
3. only IMEs not yet added to be listed.
Comment 1 Bug Zapper 2009-11-16 10:02:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peng Huang 2009-12-24 01:29:07 EST
It is not easy to change the IME combobox dynamically. Currently, I adjusted the UI, to make the buttons insensitive when related action is not Applicable. The changes are in upstream. I will build it for fedora soon.
Comment 3 Peng Huang 2009-12-24 23:04:38 EST
Fixed in ibus-1.2.0.20091225-1.fc13

Note You need to log in before you can comment on or make changes to this bug.